default:
  image: centos:latest

job:
  before_script:
    - dnf install -y rpmdevtools epel-release
    - yum install -y 'dnf-command(config-manager)'
    - yum config-manager --set-enabled powertools
    - dnf install -y zlib-devel xz-devel xmlto which rsync python3-sphinx python3-docutils python3-devel pesign perl-generators perl-devel pciutils-devel openssl-devel openssl numactl-devel nss-tools newt-devel net-tools ncurses-devel make m4 llvm-toolset libcap-ng-devel libcap-devel libbpf-devel libbabeltrace-devel kabi-dw java-devel git gettext gcc flex elfutils-devel dwarves bison binutils-devel bc audit-libs-devel asciidoc perl-ExtUtils-Embed
  stage: build
  script:
    - rpmdev-setuptree
    - cp kernel.spec ~/rpmbuild/SPECS/
    - mkdir /builds/morales-research-corporation/SunOS-Linux/packages/binaries/kernel/bin/
    - cp *.sh *.list *.patch *.config *.tar.xz *.genkey *.tar.bz2 cpupower.service check-kabi *.cer almalinux.pem Module.kabi_aarch64 Module.kabi_dup_aarch64 Module.kabi_dup_ppc64le Module.kabi_dup_x86_64 Module.kabi_dup_s390x Module.kabi_x86_64 Module.kabi_s390x Module.kabi_ppc64le ~/rpmbuild/SOURCES/
    - cd ~/rpmbuild/SPECS/
    - rpmbuild -bs kernel.spec
    - rpmbuild -bb kernel.spec
    - cp -r ~/rpmbuild/RPMS/* /builds/morales-research-corporation/SunOS-Linux/packages/binaries/kernel/bin/
    - cd /builds/morales-research-corporation/SunOS-Linux/packages/binaries/kernel/bin/
    - ls -la
  artifacts:
    public: true
    untracked: true
    paths:
      - bin/*
